ccb-connect-client
=========

建行外联平台 Ruby Gem, 非官方，provided by 珠海小可乐科技。 

Table of Contents
-----------------
* [Installation](#installation)
* [Quick Start](#quick-start)
* [Library Overview](#library-overview)
* [License](#license)
* [Contact](#contact)


Installation
------------

You may get the latest stable version from [Rubygems]:

    $ gem install ccb-connect-client

For bundler:

~~~ ruby
gem 'ccb-connect-client'
~~~


Quick Start
-----------

~~~ ruby
require 'rubygems'
require 'ccb-connect-client'

# Basic setup, could be done in a rails initializer
CcbConnectClient.server = 'your CCB_EBSClient address'
CcbConnectClient.cust_id = 'your cust_id'
CcbConnectClient.user_id = 'your user_id'
CcbConnectClient.password = 'your password'
CcbConnectClient.language = 'your language, Chinese is CN '

# Refund example
request = CcbConnectClient::RefundRequest.new
request.money = 0.01
request.order = 'L238201903071717YKIHNW'
CcbConnectClient::Service.refund request

# PaymentDetailsQuery example
request = CcbConnectClient::PaymentDetailsQueryRequest.new
# When query by order, the time period does not work.
# request.order = 'L238201903071717YKIHNW'
request.start_day = '20190306'
request.start_hour = '00'
request.start_min = '00'
request.end_day = '20190312'
request.end_hour = '14'
request.end_min = '20'
request.kind = '1'
request.dexcel = '1'
request.norderby = '1'
request.page = '1'
request.status = '3'
response = CcbConnectClient::Service.payment_details_query request
~~~


Library Overview
----------------

### Connecting ###

TLS/SSL is enabled by default:

~~~ ruby
Net::HTTP.start(uri.host, uri.port, :use_ssl => uri.scheme == 'https') do |http|
~~~

License
-------

The ccb-connect-client ruby gem is licensed under the terms of the MIT license.
See the file LICENSE for details.


Contact
-------

* Author:    LCola
* Email:     developer@lcola.cn
* Home Page: [LCola]



[LCola]:          https://www.lcola.cn/
[Rubygems]:       http://rubygems.org/
[Bundler]:        http://bundler.io/
