require 'spec_helper'
require 'yaml'
require 'logger'

describe CcbConnectClient::Service do

  before do
    server_info = YAML.load_file('./spec/fixtures/server_info.yml')
    CcbConnectClient.server = server_info['server']
    CcbConnectClient.cust_id = server_info['cust_id']
    CcbConnectClient.user_id = server_info['user_id']
    CcbConnectClient.password = server_info['password']
    CcbConnectClient.language = server_info['language']
    CcbConnectClient.logger = Logger.new STDOUT
  end


  it 'RefundRequest should be successful' do
    request = CcbConnectClient::RefundRequest.new
    request.money = 0.01
    request.order = 'L238201903071717YKIHNW'
    response = CcbConnectClient::Service.refund request
    expect(response).to be_instance_of(CcbConnectClient::RefundResponse)
  end

  it 'PaymentDetailsQueryRequest should be successful' do
    request = CcbConnectClient::PaymentDetailsQueryRequest.new
    # request.money = 7.01
    # request.order = 'L238201903071717YKIHNW'
    request.start_day = '20190306'
    request.start_hour = '00'
    request.start_min = '00'
    request.end_day = '20190312'
    request.end_hour = '14'
    request.end_min = '20'
    request.kind = '1'
    # request.account = '20190306'
    request.dexcel = '1'
    # request.money = '20190306'
    request.norderby = '1'
    request.page = '1'
    # request.pos_code = '20190306'
    request.status = '3'
    # request.mrch_no = '20190306'
    response = CcbConnectClient::Service.payment_details_query request
    expect(response).to be_instance_of(CcbConnectClient::PaymentDetailsQueryResponse)
  end
end
